4.9. Get Property Details
POST /cm/property-info
Description
Get property information including room and rate plans
Body parameter
OTA_HotelDescriptiveInfoRQ in OTA2017B format. Only HotelCode of the first HotelDescriptiveInfo must be supplied.
Name : body
Flags : required
Type : OTA_HotelDescriptiveInfoRQ
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | The response has been retrieved successfully | OTA_HotelDescriptiveInfoRQ |
| 400 | The request content was malformed | OTA_HotelDescriptiveInfoRQ |
| 401 | The supplier was unauthorized | OTA_HotelDescriptiveInfoRQ |
Consumes
application/xml
Produces
application/xml
Tags
- PropertyInfo
| Type | Name |
|---|---|
| apiKey | apiKey |
Example HTTP request
Request path
cm/hotelproducts
Request Body
<?xml version="1.0" encoding="UTF-8"?>
<OTA_HotelDescriptiveInfoRQ xmlns="http://www.opentravel.org/OTA/2003/05" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.opentravel.org/2017B/OTA_HotelDescriptiveInfoRQ.xsd">
<HotelDescriptiveInfos>
<HotelDescriptiveInfo HotelCode="123"/>
</HotelDescriptiveInfos>
</OTA_HotelDescriptiveInfoRQ>Example HTTP request
Response 200
<?xml version="1.0" encoding="UTF-8"?>
<OTA_HotelDescriptiveInfoRS CorrelationID="8b417d6a-f3df-4d65-870c-240378b8ad3e">
<Success/>
<HotelDescriptiveContents>
<HotelDescriptiveContent BrandCode="0" ChainCode="0" CurrencyCode="USD" HotelCode="123"
HotelName="Orlando Tropical Breeze" ID="Hotel123" LanguageCode="en-US">
<HotelInfo>
<CategoryCodes>
<HotelCategory Code="34"/>
<GuestRoomInfo Quantity="1"/>
</CategoryCodes>
<Descriptions>
<MultiMediaDescriptions>
<MultimediaDescription>
<TextItems>
<TextItem>
<URL>https://agoda.com</URL>
<Description>Agoda.com url.</Description>
</TextItem>
</TextItems>
</MultimediaDescription>
</MultiMediaDescriptions>
<DescriptiveText>The Best Hotel Ever</DescriptiveText>
</Descriptions>
<Position Latitude="12.513994" Longitude="99.965228"/>
<Services>
<Service Code="261">
<DescriptiveText>mini golf course</DescriptiveText>
</Service>
</Services>
</HotelInfo>
<FacilityInfo>
<GuestRooms>
<GuestRoom Code="123" ExtraBedChildAge="12" ID="HIL" MaxExtraBeds="1" MaxOccupancy="2"
NumberOfBedrooms="2" RoomTypeName="Premier Room" YcsExtraBedFlag="true"
IsActive="true">
<Amenities>
<Amenity RoomAmenityCode="25">
<DescriptiveText>air conditioning</DescriptiveText>
</Amenity>
</Amenities>
<DescriptiveText>Beach Front Rooms are 30 sqm with sea views.</DescriptiveText>
<TPA_Extensions>
<RoomConfiguration SizeMeasurement="45" NumberOfBedroom="3" NumberOfBathroom="1"
MinimumRate="100.0" MaximumRate="999999.0" MaxChildrenInRoom="31"
MaxAdultsOccupancy="6" MaxChildrenOccupancy="4"
ChildrenAllowedForFree="2" BabyCots="true" />
<SubRooms>
<SubRoom RoomType="BedRoom">
<Amenities>
<Amenity AmenityCode="10" Value="1"/>
</Amenities>
</SubRoom>
<SubRoom RoomType="LivingRoom">
<Amenities>
<Amenity AmenityCode="1" Value="1"/>
<Amenity AmenityCode="2" Value="1"/>
</Amenities>
</SubRoom>
</SubRooms>
</TPA_Extensions>
</GuestRoom>
</GuestRooms>
</FacilityInfo>
<Policies>
<Policy>
<CancelPolicy>
<CancelPenalty End="2019-12-31" PolicyCode="13" Start="2019-01-01" Description = "Cancel Policy Description"/>
</CancelPolicy>
<PolicyInfo CheckInTime="14:00:00" CheckOutTime="12:00:00"/>
<FeePolicies>
<FeePolicy Amount="1000.0" Code="34" DecimalPlaces="2" EffectiveDate="2020-01-01" ExpireDate="2020-12-31"/>
</FeePolicies>
</Policy>
</Policies>
<AffiliationInfo>
<Awards>
<Award Provider="HotelStarRate" Rating="3.5"/>
</Awards>
</AffiliationInfo>
<ContactInfos>
<ContactInfo ContactProfileType="PhysicalLocation">
<Addresses>
<Address Language="en-US">
<AddressLine>213 Street Name.</AddressLine>
<CityName>Bangkok</CityName>
<PostalCode>10250</PostalCode>
<CountryName>TH</CountryName>
</Address>
</Addresses>
</ContactInfo>
<ContactInfo ContactProfileType="general">
<Names>
<Name>
<GivenName>John</GivenName>
<Surname>Smith</Surname>
</Name>
</Names>
<Phones>
<Phone PhoneNumber="+123456789"/>
</Phones>
<Emails>
<Email>[email protected]</Email>
</Emails>
</ContactInfo>
</ContactInfos>
<RatePlans>
<RatePlan IsActive="true" RatePlanCode="123" RatePlanID="RatePlan12" RatePlanType="1">
<Description Name="Standard Rate"/>
<TPA_Extensions>
<Channels>
<Channel ChannelCode="2"/>
<Channel ChannelCode="6"/>
</Channels>
</TPA_Extensions>
</RatePlan>
</RatePlans>
<TPA_Extensions>
<PropertyStatus>
<PropertyIDCreated>Yes</PropertyIDCreated>
<PhotosIngested>No</PhotosIngested>
<ContractSigned>No</ContractSigned>
<FraudCheckPassed>Yes</FraudCheckPassed>
<PropertyLived>No</PropertyLived>
</PropertyStatus>
<Channels>
<Channel ChannelCode="1"/>
<Channel ChannelCode="2"/>
</Channels>
<GuestInfo MinGuestAge="2" MaxInfantAge="1" MaxChildAge="18" ChildStayFreeTypeId="1"
ChildStayFree="true" ChildAgeTo="8"/>
<HotelProducts>
<HotelProduct>
<RoomTypes>
<RoomType RoomTypeCode="0"/>
</RoomTypes>
<RatePlans>
<RatePlan RatePlanCode="605887">
<SellDateRange End="2018-12-31" Start="2018-07-01"/>
<StayDateRange End="2019-02-01" Start="2018-08-01"/>
</RatePlan>
</RatePlans>
<ValueAddInclusions>
<Benefit BenefitCode="1"/>
<Benefit BenefitCode="2"/>
<Benefit BenefitCode="3"/>
<RoomUseExtension CheckInTime="13:00:00.000+07:00" CheckOutTime="12:00:00.000+07:00"/>
</ValueAddInclusions>
<PolicyInfo>
<CancelPolicy>
<CancelPenalty PolicyCode="155" Description = "Cancel Policy Description"/>
</CancelPolicy>
<BookingRules>
<BookingRule MaxAdvancedBookingOffset="P0Y0M4D" MaxLengthOfStay="P0Y0M9D"
MinAdvancedBookingOffset="P0Y0M2D" MinLengthOfStay="P0Y0M0D"/>
</BookingRules>
</PolicyInfo>
</HotelProduct>
</HotelProducts>
<RateType Name="Net Exclusive" Code="1"/>
<PaymentMethod Name="TelexTransfer" Code="1"/>
<ChildAgeBands>
<ChildAgeBand AgeBandCode="1" AgeFrom="0" AgeTo="5"/>
<ChildAgeBand AgeBandCode="2" AgeFrom="6" AgeTo="10"/>
<ChildAgeBand AgeBandCode="3" AgeFrom="11" AgeTo="14"/>
<ChildAgeBand AgeBandCode="4" AgeFrom="15" AgeTo="17"/>
</ChildAgeBands>
</TPA_Extensions>
</HotelDescriptiveContent>
</HotelDescriptiveContents>
</OTA_HotelDescriptiveInfoRS>Response 400
<OTA_HotelDescriptiveInfoRS CorrelationID="325d8000-48cf-11ea-9337-8950898f7d75">
<Errors>
<Error Code="321" ShortText="Required field missing" Status="NotProcessed"/>
</Errors>
</OTA_HotelDescriptiveInfoRS>Response 401
<OTA_HotelDescriptiveInfoRS CorrelationID="325d8000-48cf-11ea-9337-8950898f7d75">
<Errors>
<Error Code="497" ShortText="Authorization error" Status="NotProcessed"/>
</Errors>
</OTA_HotelDescriptiveInfoRS>Current Limitation & Advanced Bedding Configurations:
By default, if a user sets up multiple alternative bedding options on the YCS extranet UI, the Get Property Details API aggregates them into a single option combining all bedding types (e.g., returning 2 Single + 1 King instead of separating them).
Multi-Bedding Support (Optional)
Channel Managers can now request to receive distinct bedding configurations. When this feature is enabled for your account, the API utilizes the OptionId attribute within the
Example Response with OptionId:
If a room offers alternative setups (Option 1: 2 Single beds OR Option 2: 1 King bed), the response will look like this:
<SubRoom RoomType="BedRoom">
<Amenity Value="2" AmenityCode="1" OptionId="1" />
<Amenity Value="1" AmenityCode="5" OptionId="2" />
</SubRoom>Note for Partners: If you wish to utilize the OptionId attribute to support multiple bed configurations without splitting your room types, please contact your Agoda Technical Account Manager to have this capability enabled for your channel profile. Otherwise, the default workaround remains to create entirely separate room types (e.g., Deluxe - Queen Bed vs. Deluxe - Single Beds).

